
-- création du user de la base
grant all privileges on posh.* to posh@%%adresse_ip_web identified by 'posh';
grant all privileges on posh.* to posh@%%adresse_ip_br0 identified by 'posh';
flush privileges ;

-- connexion à la base
\r posh
SET character_set_client = utf8;

--
-- Structure de la table `adm_config_cas`
--

DROP TABLE IF EXISTS `adm_config_cas`;
CREATE TABLE IF NOT EXISTS `adm_config_cas` (
  `parameter` varchar(16) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `value` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `datatype` char(3) NOT NULL DEFAULT '',
  `desttype` char(1) NOT NULL DEFAULT '',
  PRIMARY KEY (`parameter`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='CAS plugin configuration parameters';

--
-- Contenu de la table `adm_config_cas`
--

INSERT INTO `adm_config_cas` (`parameter`, `value`, `datatype`, `desttype`) VALUES
('CAS_SERVER', 'localhost', 'str', 'C'),
('CAS_VERSION', '2.0', 'str', 'C'),
('CAS_FOLDER', '', 'str', 'C'),
('CAS_PORT', '8443', 'int', 'C'),
('CAS_PROTO', 'https', 'str', 'C'),
('CAS_RETURN', 'localhost/posh/portal', 'str', 'C');

--
-- Contenu de la table `adm_plugins`
--

INSERT INTO `adm_plugins` (`name`, `link`, `dependency`, `status`, `forced`) VALUES
('Plugin CAS', 'plugin_eolecas/plugin_eolecas.php', 'no', 'O', 1),
('Plugin Auto Create', 'plugin_eoleac/plugin_eoleac.php', 'no', 'O', 1),
('Plugin Desktop', 'plugin_desktop/plugin_desktop.php', 'no', 'O', 1),
('Plugin Thumbs', 'plugin_thumbs/plugin_thumbs.php', 'no', 'O', 1);

--
-- Contenu de la table `adm_themes`
--

DELETE FROM `adm_themes`;
INSERT INTO `adm_themes` (`name`, `seq`) VALUES
('eole', 1);

--
-- Contenu de la table `adm_plugins`
--

INSERT INTO `adm_config` (`parameter`, `value`, `datatype`, `desttype`, `category`, `editable`) VALUES
('autoCreat', 'Y', 'str', 'P', NULL, 0),
('defaultAuthen', 'cas', 'str', 'P', NULL, 0);

UPDATE `adm_config` SET `value`='Saisissez votre texte ici.' WHERE `parameter`='txtnote';
UPDATE `adm_config` SET `value`='Envole' WHERE `parameter`='application';
UPDATE `adm_config` SET `value`='posh' WHERE `parameter`='LOGIN';
UPDATE `adm_config` SET `value`='posh' WHERE `parameter`='DB';
UPDATE `adm_config` SET `value`='"fr_envole","fr","en","de","it"' WHERE `parameter`='AVLANGS';
UPDATE `adm_config` SET `value`='false' WHERE `parameter`='userChangePermission';
UPDATE `adm_config` SET `value`='false' WHERE `parameter`='passwordChangePermission';

UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='USERMODULE';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='userModuleJs';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='dimension';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='accountType';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useArchive';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='rssinfo';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useGSearch';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useList';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='USEMAGIC';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='SERVER';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='LOGIN';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='PASS';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='DB';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='LOCALFOLDER';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='SUPPORTEMAIL';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='KEY';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='APPNAME';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='FRIENDEMAIL';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useNotation';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useContact';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='headlinks';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='columnchange';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='ctrlhiding';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='doubleprotection';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='alloweditmenu';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='allowaddmenu';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='showrsscell';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useNewsletter';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useConditions';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='conditionComment';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='nbicons';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='ARCHIVE';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='barcolnb';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='POSHVERSION';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='menuposition';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='showicon';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useproxy';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='PROXYSERVER';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='PROXYPORT';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='PROXYCONNECTION';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='proxypacfile';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useoverview';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='allowredactor';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='showModuleExpl';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='portaldirtype';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='blockedModulePreventPageRemoval';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='enterprise';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='registerfeeds';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='moduleAlign';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='moduleAlignDefault';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='PEEVERSION';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='template';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='displayOnlyPublicPagesForTheUser';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='NOTIFICATIONEMAIL';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='useChat';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='userChangePermission';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='passwordChangePermission';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='rand';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='numberOfTry';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='connectionDateRange';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='captcha';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='SESSION';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='DBTYPE';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='INSTALLINGPOSHVERSION';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='INSTALLTYPE';
UPDATE `adm_config` SET `editable`=0 WHERE `parameter`='defaultmode';

-- nouveaux paramètres posh3 FIXME
-- ('PROXY_EXCLUSION', '', 'str', 'P', 'dbConnection', 1),
-- ('GROUP_RESTRICTION_ON_SINGLE_WIDGET', 'false', 'int', 'A', NULL, 1),
-- ('EMAIL_ADRESS_ARE_SHOWN', 'true', 'int', 'J', NULL, 1),
-- ('SAVE_ANONYMOUS_PORTAL', 'false', 'int', 'A', 'thePortals', 1),
-- ('DELAY_COOKIES_ANONYMOUS_USER', '12', 'int', 'A', 'thePortals', 1),
-- ('USE_EVENTS_CSS', 'false', 'int', 'A', 'thePortals', 1),
-- ('USE_WIDGET_NOTATION', 'false', 'int', 'A', 'thePortals', 1),
-- ('ENCRYPT_USERPREF', 'false', 'int', 'A', NULL, 1),
-- ('OPEN_TAB_BASED_ON_SUBDOMAIN', 'true', 'int', 'A', 'thePortals', 1),
-- ('OPEN_ALL_WIDGET_LIBRARIES_IN_MENU_BY_DEFAULT', 'false', 'int', 'J', NULL, 1),
-- ('NETWORK_TYPE', 'R', 'str', 'A', 'network', 1),
-- ('USE_OPENSOCIAL', 'false', 'int', 'A', NULL, 1),
-- ('PASSWORD_CHANGE_DELAY', '2', 'int', 'A', 'thePortals', 1),
-- ('IDLE_CONNECTIONS_EXPIRATION_DELAY', '3', 'int', 'A', NULL, 1),
-- ('CONNECTION_SECURITY_LEVEL', '1', 'int', 'A', NULL, 1),
-- ('USE_WIDGET_PAGE_TEMPLATE', '1', 'int', 'J', NULL, 1),

